# WtpFacet

open class WtpFacet : XmlPersistableConfigurationObject

Creates the .settings/org.eclipse.wst.common.project.facet.core.xml file for WTP projects.

## Constructors

WtpFacet
Link copied to clipboard
constructor(xmlTransformer: XmlTransformer)

## Properties

facets
Link copied to clipboard
open var facets: List<Facet>
xml
Link copied to clipboard
open val xml: Node

## Functions

configure
Link copied to clipboard
open fun configure(facets: List<Facet>)
equals
Link copied to clipboard
open fun equals(o: Any): Boolean
findFirstChildNamed
Link copied to clipboard
open fun findFirstChildNamed(root: @Nullable Node, name: String): @Nullable Node
findFirstChildWithAttributeValue
Link copied to clipboard
open fun findFirstChildWithAttributeValue(root: @Nullable Node, childName: String, attribute: String, value: String): @Nullable Node
findOrCreateFirstChildNamed
Link copied to clipboard
open fun findOrCreateFirstChildNamed(root: Node, name: String): Node
findOrCreateFirstChildWithAttributeValue
Link copied to clipboard
open fun findOrCreateFirstChildWithAttributeValue(root: @Nullable Node, childName: String, attribute: String, value: String): Node
hashCode
Link copied to clipboard
open fun hashCode(): Int
load
Link copied to clipboard
open fun load(inputStream: InputStream)
loadDefaults
Link copied to clipboard
open fun loadDefaults()
store
Link copied to clipboard
open fun store(outputStream: OutputStream)
toString
Link copied to clipboard
open fun toString(): String
transformAction
Link copied to clipboard
open fun transformAction(action: Closure)